
From: Mikael Pettersson <mikpe@csd.uu.se>

perfctr-2.7.10 update, 4/4:
- Update ppc32 syscall table for perfctr-2.7.10 API changes.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/misc.S   |    3 +--
 25-akpm/include/asm-ppc/unistd.h |    7 +++----
 2 files changed, 4 insertions(+), 6 deletions(-)

diff -puN arch/ppc/kernel/misc.S~perfctr-2710-api-update-4-4-ppc32 arch/ppc/kernel/misc.S
--- 25/arch/ppc/kernel/misc.S~perfctr-2710-api-update-4-4-ppc32	2005-03-10 03:33:40.000000000 -0800
+++ 25-akpm/arch/ppc/kernel/misc.S	2005-03-10 03:34:01.000000000 -0800
@@ -1455,6 +1455,5 @@ _GLOBAL(sys_call_table)
 	.long sys_ioprio_get
 	.long sys_vperfctr_open		/* 275 */
 	.long sys_vperfctr_control
-	.long sys_vperfctr_unlink
-	.long sys_vperfctr_iresume
+	.long sys_vperfctr_write
 	.long sys_vperfctr_read
diff -puN include/asm-ppc/unistd.h~perfctr-2710-api-update-4-4-ppc32 include/asm-ppc/unistd.h
--- 25/include/asm-ppc/unistd.h~perfctr-2710-api-update-4-4-ppc32	2005-03-10 03:33:40.000000000 -0800
+++ 25-akpm/include/asm-ppc/unistd.h	2005-03-10 03:34:32.000000000 -0800
@@ -281,11 +281,10 @@
 #define __NR_ioprio_get		274
 #define __NR_vperfctr_open	275
 #define __NR_vperfctr_control	(__NR_vperfctr_open+1)
-#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
-#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
-#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
+#define __NR_vperfctr_write	(__NR_vperfctr_open+2)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+3)
 
-#define __NR_syscalls		280
+#define __NR_syscalls		279
 
 #define __NR(n)	#n
 
_
